import request from "@/utils/request";
export function getStockList(id: string) {
  return request({
    url: `/api/v1/erp/materialPreparation/${id}`,
    method: "get",
  });
}
export function getReturnList(id: string) {
  return request({
    url: `/api/v1/erp/materialReceive/${id}`,
    method: "get",
  });
}
//通过工单号获取对应管号
export function getSeqList(workOrderCode: string) {
  return request({
    url: `/api/v1/plan/seq/form/getSeqNo/${workOrderCode}`,
    method: "get",
  });
}
//获取现存赛选单列表
export function filterList(data: object) {
  return request({
    url: `/api/v1/plan/seq/form/page`,
    method: "post",
    data,
  });
}
//获取现工单列表
export function workCodeList(data: object) {
  return request({
    url: `/api/v1/plan/workOrder/page`,
    method: "post",
    data,
  });
}
export function addFilter(data: object) {
  return request({
    url: `/api/v1/plan/seq/form/add`,
    method: "post",
    data,
  });
}
export function updateFilter(data: object) {
  return request({
    url: `/api/v1/plan/seq/form/update`,
    method: "post",
    data,
  });
}
export function delFilter(data: object) {
  return request({
    url: `/api/v1/plan/seq/form/del`,
    method: "post",
    data,
  });
}

export function getProExcel(formSeqId: string) {
  return request({
    url: `/api/v1/ProcessFormData/seqExcel/${formSeqId}`,
    method: "get",
  });
}
